Skip to main content

Create an Invitation

POST 

/iam/v2/invitations

General Availability

Make a request to create an invitation.

The newly invited user will not have any permissions. Give the user permission by assigning them to one or more roles by creating role bindings for the created user.

Request

Responses

An Invitation was created.

Response Headers
    X-Request-Id

    The unique identifier for the API request.

    X-RateLimit-Limit

    The maximum number of requests you're permitted to make per time period.

    X-RateLimit-Remaining

    The number of requests remaining in the current rate limit window.

    X-RateLimit-Reset

    The relative time in seconds until the current rate-limit window resets.

    Important: This differs from Github and Twitter's same-named header which uses UTC epoch seconds. We use relative time to avoid client/server time synchronization issues.

    Location

    Invitation resource uri

OpenAPI definition (YAML)
paths:
  /iam/v2/invitations:
    post:
      x-lifecycle-stage: General Availability
      x-self-access: true
      operationId: createIamV2Invitation
      description: '[![General Availability](https://img.shields.io/badge/Lifecycle%20Stage-General%20Availability-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        Make a request to create an invitation.


        The newly invited user will not have any permissions. Give the user permission by assigning them
        to one or

        more roles by creating

        [role bindings](https://docs.confluent.io/cloud/current/api.html#tag/Role-Bindings-(iamv2))

        for the created `user`.

        '
      tags:
      - Invitations (iam/v2)
      security:
      - cloud-api-key: []
      - confluent-sts-access-token: []
      requestBody:
        content:
          application/json:
            schema:
              allOf:
              - type: object
                description: '`Invitation` objects represent invitations to invite users to join your
                  organizations in Confluent Cloud.


                  The API allows you to list all your invitations, as well as create, read, and delete
                  a specified invitation.



                  Related guide: [User invitations in Confluent Cloud](https://docs.confluent.io/cloud/current/access-management/identity/user-accounts.html).


                  ## The Invitations Model

                  <SchemaDefinition schemaRef="#/components/schemas/iam.v2.Invitation" />


                  ## Quotas and Limits

                  This resource is subject to the [following quotas](https://docs.confluent.io/cloud/current/quotas/overview.html):


                  | Quota | Description |

                  | --- | --- |

                  | `invitations_per_org` | Invitations in a Confluent Cloud organization |'
                properties:
                  metadata:
                    allOf:
                    - description: ObjectMeta is metadata that all persisted resources must have, which
                        includes all objects users must create.
                      properties: {}
                      readOnly: true
                      title: ObjectMeta
                    - properties:
                        self:
                          example: https://api.confluent.cloud/iam/v2/invitations/i-12345
                        resource_name:
                          example: crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/invitation=i-12345
                  email:
                    type: string
                    format: email
                    example: johndoe@confluent.io
                    description: The user/invitee's email address
                  auth_type:
                    type: string
                    description: 'The user/invitee''s authentication type. Note that only the [OrganizationAdmin
                      role](https://docs.confluent.io/cloud/current/access-management/access-control/cloud-rbac.html#organizationadmin)

                      can invite AUTH_TYPE_LOCAL users to SSO organizations.

                      The user''s auth_type is set as AUTH_TYPE_SSO by default if the organization has
                      SSO enabled.

                      Otherwise, the user''s auth_type is AUTH_TYPE_LOCAL by default.

                      '
                    example: AUTH_TYPE_SSO
                    enum:
                    - AUTH_TYPE_LOCAL
                    - AUTH_TYPE_SSO
                title: iam.v2.Invitation
              - type: object
                required:
                - email
      responses:
        '201':
          description: An Invitation was created.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Location:
              schema:
                type: string
                format: uri
                example: https://api.confluent.cloud/iam/v2/invitations/{id}
              description: Invitation resource uri
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  description: '`Invitation` objects represent invitations to invite users to join your
                    organizations in Confluent Cloud.


                    The API allows you to list all your invitations, as well as create, read, and delete
                    a specified invitation.



                    Related guide: [User invitations in Confluent Cloud](https://docs.confluent.io/cloud/current/access-management/identity/user-accounts.html).


                    ## The Invitations Model

                    <SchemaDefinition schemaRef="#/components/schemas/iam.v2.Invitation" />


                    ## Quotas and Limits

                    This resource is subject to the [following quotas](https://docs.confluent.io/cloud/current/quotas/overview.html):


                    | Quota | Description |

                    | --- | --- |

                    | `invitations_per_org` | Invitations in a Confluent Cloud organization |'
                  properties:
                    api_version:
                      type: string
                      enum:
                      - iam/v2
                      description: APIVersion defines the schema version of this representation of a resource.
                      readOnly: true
                    kind:
                      type: string
                      description: Kind defines the object this REST resource represents.
                      readOnly: true
                      enum:
                      - Invitation
                    id:
                      description: ID is the "natural identifier" for an object within its scope/namespace;
                        it is normally unique across time but not space. That is, you can assume that
                        the ID will not be reclaimed and reused after an object is deleted ("time"); however,
                        it may collide with IDs for other object `kinds` or objects of the same `kind`
                        within a different scope/namespace ("space").
                      type: string
                      maxLength: 255
                      readOnly: true
                      example: dlz-f3a90de
                    metadata:
                      allOf:
                      - description: ObjectMeta is metadata that all persisted resources must have, which
                          includes all objects users must create.
                        required:
                        - self
                        properties:
                          self:
                            description: Self is a Uniform Resource Locator (URL) at which an object can
                              be addressed. This URL encodes the service location, API version, and other
                              particulars necessary to locate the resource at a point in time
                            type: string
                            format: uri
                            readOnly: true
                            example: https://api.confluent.cloud/v2/kafka-clusters/lkc-f3a90de
                          resource_name:
                            description: Resource Name is a Uniform Resource Identifier (URI) that is
                              globally unique across space and time. It is represented as a Confluent
                              Resource Name
                            type: string
                            format: uri
                            readOnly: true
                            example: crn://confluent.cloud/kafka=lkc-f3a90de
                          created_at:
                            type: string
                            format: date-time
                            example: '2006-01-02T15:04:05-07:00'
                            readOnly: true
                            description: The date and time at which this object was created. It is represented
                              in RFC3339 format and is in UTC.
                          updated_at:
                            type: string
                            format: date-time
                            example: '2006-01-02T15:04:05-07:00'
                            readOnly: true
                            description: The date and time at which this object was last updated. It is
                              represented in RFC3339 format and is in UTC.
                          deleted_at:
                            type: string
                            format: date-time
                            example: '2006-01-02T15:04:05-07:00'
                            readOnly: true
                            description: The date and time at which this object was (or will be) deleted.
                              It is represented in RFC3339 format and is in UTC.
                        readOnly: true
                        title: ObjectMeta
                      - properties:
                          self:
                            example: https://api.confluent.cloud/iam/v2/invitations/i-12345
                          resource_name:
                            example: crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/invitation=i-12345
                    email:
                      type: string
                      format: email
                      example: johndoe@confluent.io
                      description: The user/invitee's email address
                      x-immutable: true
                    auth_type:
                      type: string
                      description: 'The user/invitee''s authentication type. Note that only the [OrganizationAdmin
                        role](https://docs.confluent.io/cloud/current/access-management/access-control/cloud-rbac.html#organizationadmin)

                        can invite AUTH_TYPE_LOCAL users to SSO organizations.

                        The user''s auth_type is set as AUTH_TYPE_SSO by default if the organization has
                        SSO enabled.

                        Otherwise, the user''s auth_type is AUTH_TYPE_LOCAL by default.

                        '
                      example: AUTH_TYPE_SSO
                      enum:
                      - AUTH_TYPE_LOCAL
                      - AUTH_TYPE_SSO
                    status:
                      type: string
                      example: INVITE_STATUS_SENT
                      description: The status of invitations
                      readOnly: true
                      enum:
                      - INVITE_STATUS_SENT
                      - INVITE_STATUS_STAGED
                      - INVITE_STATUS_ACCEPTED
                      - INVITE_STATUS_EXPIRED
                      - INVITE_STATUS_DEACTIVATED
                    accepted_at:
                      type: string
                      format: date-time
                      example: '2022-07-06 17:21:33+00:00'
                      description: The timestamp that the invitation was accepted
                      nullable: true
                      readOnly: true
                    expires_at:
                      type: string
                      format: date-time
                      example: '2022-07-07 17:22:39+00:00'
                      description: The timestamp that the invitation will expire
                      readOnly: true
                    user:
                      allOf:
                      - type: object
                        description: ObjectReference provides information for you to locate the referred
                          object
                        required:
                        - id
                        - related
                        - resource_name
                        properties:
                          id:
                            type: string
                            description: ID of the referred resource
                            minLength: 1
                            maxLength: 255
                          related:
                            type: string
                            format: uri
                            description: API URL for accessing or modifying the referred object
                            minLength: 1
                            readOnly: true
                          resource_name:
                            type: string
                            format: uri
                            description: CRN reference to the referred resource
                            minLength: 1
                            readOnly: true
                        title: GlobalObjectReference
                      description: The user/invitee
                      readOnly: true
                    creator:
                      allOf:
                      - type: object
                        description: ObjectReference provides information for you to locate the referred
                          object
                        required:
                        - id
                        - related
                        - resource_name
                        properties:
                          id:
                            type: string
                            description: ID of the referred resource
                            minLength: 1
                            maxLength: 255
                          related:
                            type: string
                            format: uri
                            description: API URL for accessing or modifying the referred object
                            minLength: 1
                            readOnly: true
                          resource_name:
                            type: string
                            format: uri
                            description: CRN reference to the referred resource
                            minLength: 1
                            readOnly: true
                        title: GlobalObjectReference
                      description: The invitation creator
                      readOnly: true
                  title: iam.v2.Invitation
                - type: object
                  required:
                  - email
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '402':
          x-summary: Over Quota
          description: The request would exceed one or more quotas.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '402'
                  code: quota_exceeded
                  title: Kafka Clusters Per Org Quota Exceeded
                  detail: 'The request would exceed the quota: kafka_clusters_per_environment'
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '409':
          x-summary: Conflict
          description: The request is in conflict with the current server state
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            Location:
              schema:
                type: string
                format: uri
                example: https://api.confluent.cloud/{object}/{id}
              description: Resource URI of conflicting resource
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '409'
                  code: resource_already_exists
                  title: Resource Already exists
                  detail: The entitlement '91e3e86f-fca6-4f14-98f5-a48e64113ce2' already exists.
        '422':
          description: Validation Failed
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
                - status: '422'
                  code: invalid_configuration
                  id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  title: Validation Failed
                  detail: 'The property ''/cluster/storage_size'' of type string did not match the following
                    type: integer'
                  source:
                    pointer: /cluster/storage_size
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API
      jsonRequestBodyExample:
        email: johndoe@confluent.io
        auth_type: AUTH_TYPE_SSO